libapp-cmd-perl (0.340-1) unstable; urgency=medium

  * Import upstream version 0.340.
  * Bump versioned dependency on libgetopt-long-descriptive-perl.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 28 Mar 2026 02:32:51 +0100

libapp-cmd-perl (0.339-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Young ]
  * New upstream version 0.339.
  * Update upstream copyright.
  * Add libapp-cmd-perl.examples.
  * Declare compliance with Debian Policy 4.7.3.

  [ gregor herrmann ]
  * Fix hashbang in example script.

 -- Samuel Young <samyoung12788@gmail.com>  Thu, 19 Feb 2026 16:41:52 -0600

libapp-cmd-perl (0.338-1) unstable; urgency=medium

  * Import upstream version 0.338.
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.7.2.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Sun, 12 Oct 2025 16:10:10 +0200

libapp-cmd-perl (0.337-2) unstable; urgency=medium

  * Add a versioned Breaks on libcatmandu-perl.
    Thanks to ci.debian.net.

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Jan 2025 18:12:21 +0100

libapp-cmd-perl (0.337-1) unstable; urgency=medium

  * Import upstream version 0.337.
  * Make (test) dependency on libgetopt-long-descriptive-perl versioned.
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 4.7.0.

 -- gregor herrmann <gregoa@debian.org>  Sat, 11 Jan 2025 23:33:11 +0100

libapp-cmd-perl (0.336-1) unstable; urgency=medium

  * Import upstream version 0.336.
  * Update years of upstream copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Sep 2023 18:45:58 +0200

libapp-cmd-perl (0.335-1) unstable; urgency=medium

  * Import upstream version 0.335.
  * Update years of upstream and packaging copyright.
  * Update upstream email address.
  * Declare compliance with Debian Policy 4.6.2.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Jan 2023 23:15:56 +0100

libapp-cmd-perl (0.334-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Nathan Handler from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * Import upstream version 0.333.
  * Update years of upstream and packaging copyright.
  * Declare compliance with Debian Policy 4.5.1.
  * Set Rules-Requires-Root: no.
  * Drop unneeded version constraints and alternatives from (build)
    dependencies.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.

  [ Salvatore Bonaccorso ]
  * Declare compliance with Debian policy 4.6.0
  * Update copyright years for debian/* packaging files
  * Import upstream version 0.334.
  * debian/copyright: Update Upstream-Contact email address
  * Drop "Fix spelling error in manpage" (applied upstream)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 23 Aug 2021 20:31:42 +0200

libapp-cmd-perl (0.331-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Import upstream version 0.331
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Relax (Build-)Depends(-Indep) on libcapture-tiny-perl.
    Make dependency unversioned since the required version is already
    satisfied in stable.
  * Declare compliance with Debian policy 3.9.8
  * Add fix-spelling-error-in-manpage.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 18 Jul 2016 08:39:39 +0200

libapp-cmd-perl (0.330-1) unstable; urgency=medium

  * Import upstream version 0.330

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 24 Oct 2015 08:01:07 +0200

libapp-cmd-perl (0.329-1) unstable; urgency=medium

  * Import upstream version 0.329
  * Drop spelling-error-in-manpage.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 09 Oct 2015 13:32:00 +0200

libapp-cmd-perl (0.328-1) unstable; urgency=medium

  * Update copyright years for upstream files
  * Import upstream version 0.328
  * Bump Debhelper compat level to 9
  * Update copyright years for debian/* packaging files
  * Add spelling-error-in-manpage.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 04 Sep 2015 07:06:18 +0200

libapp-cmd-perl (0.327-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Feb 2015 20:12:47 +0100

libapp-cmd-perl (0.324-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * Add debian/upstream/metadata
  * Import upstream version 0.324
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian Policy 3.9.6
  * Add Testsuite: autopkgtest-pkg-perl to debian/control

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 21 Oct 2014 07:33:22 +0200

libapp-cmd-perl (0.323-1) unstable; urgency=medium

  * Imported Upstream version 0.323

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 07 Dec 2013 15:56:03 +0100

libapp-cmd-perl (0.322-1) unstable; urgency=low

  * Imported Upstream version 0.322
  * Update versioned (build-)dependency for Getopt::Long 2.39 requirement.
    Change Build-Depends-Indep on perl. Squash versioned and unversioned
    dependencies together with constraint to perl (>= 5.17.10).
    Perl 5.17.10 at least is needed to get Getopt::Long 2.39.
  * Bump Standards-Version to 3.9.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 28 Oct 2013 19:41:50 +0100

libapp-cmd-perl (0.321-1) unstable; urgency=low

  * Imported Upstream version 0.321
  * Drop fix-spelling-error-in-manpage.patch patch

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 26 Oct 2013 21:33:03 +0200

libapp-cmd-perl (0.320-2) unstable; urgency=low

  * Adjust (build-)dependency for Module::Pluggable.
    Module::Pluggable will be removed from Perl core in 5.20 and emits now
    a warning with 5.18. Add Build-Depends-Indep and Depends on alternate
    libmodule-pluggable-perl | perl (<< 5.17.0).
    Thanks to Dominic Hargreaves <dom@earth.li> (Closes: #711648)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 12 Jun 2013 07:34:27 +0200

libapp-cmd-perl (0.320-1) unstable; urgency=low

  [ Nathan Handler ]
  * Email change: Nathan Handler -> nhandler@debian.org

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 0.319 and 0.320
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Update copyright years for upstream files and Debian packaging
  * Bump Standards-Version to 3.9.4
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Add fix-spelling-error-in-manpage.patch patch.
    Fix spelling errors in App::Cmd::Tutorial manual.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 05 May 2013 23:01:00 +0200

libapp-cmd-perl (0.318-1) unstable; urgency=low

  * Imported Upstream version 0.318

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 May 2012 09:00:58 +0200

libapp-cmd-perl (0.317-1) unstable; urgency=low

  * Imported Upstream version 0.317
  * Update format for debian/copyright file.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
  * Bump Standards-Version to 3.9.3
  * Correct Build-Depends-Indep on dual life package.
    Correct the Build-Depends-Indep dependency for Test::More to
    perl (>= 5.13.4) | libtest-simple-perl (>= 0.96).

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 26 Mar 2012 22:44:14 +0200

libapp-cmd-perl (0.316-1) unstable; urgency=low

  * New upstream release.
  * Add libio-tiecombine-perl to Depends.
  * Add /me to Uploaders.

 -- gregor herrmann <gregoa@debian.org>  Sat, 11 Feb 2012 20:22:46 +0100

libapp-cmd-perl (0.315-1) unstable; urgency=low

  * Imported Upstream version 0.315
  * Simplify (Build-)Depends(-Indep) satisfied in Squeeze.
    Simplify (Build-)Depends(-Indep) on libgetopt-long-descriptive-perl to a
    unversioned dependency as the version is already satisfied in Squeeze.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 11 Feb 2012 18:15:05 +0100

libapp-cmd-perl (0.314-1) unstable; urgency=low

  * Imported Upstream version 0.314
  * Update debian/copyright file.
    Update copyright years for upstream files and for debian/* packaging.
  * Update dependencies for Capture::Tiny use.
    Add libcapture-tiny-perl (>= 0.13) to Build-Depends-Indep and Depends.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 04 Jan 2012 08:19:25 +0100

libapp-cmd-perl (0.313-1) unstable; urgency=low

  * Imported Upstream version 0.313
  * Update debian/copyright file.
    Remove stanza about included Module::Install. Upstream source does not
    ship anymore these files.
  * Update Build-Depends-Indep on libtest-simple-perl.
    Change Build-Depends-Indep on libtest-simple-perl (>= 0.96) to an
    alternative dependency on perl (>= 5.14) | libtest-simple-perl (>= 0.96)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 23 Dec 2011 20:52:57 +0100

libapp-cmd-perl (0.312-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Imported Upstream version 0.312
  * Bump Standards-Version to 3.9.2.
  * debian/control: Make versioned (Build-)Depends(-Indep) on
    libsub-exporter-perl unversioned as already satisfied by oldstable.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 18 Aug 2011 09:03:32 +0200

libapp-cmd-perl (0.311-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Refresh upstreams copyright information.
  * Bump Debhelper compat level to 8.
  * debian/control: Bump versioned Build-Depends on debhelper to (>= 8).

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 18 Mar 2011 20:49:38 +0100

libapp-cmd-perl (0.310-1) unstable; urgency=low

  [ gregor herrmann ]
  * Add libtest-simple-perl (>= 0.96) to Build-Depends-Indep.

  [ Salvatore Bonaccorso ]
  * New upstream release
  * Add libclass-load-perl to (Build-)Depends(-Indep).
  * Email change: Salvatore Bonaccorso -> carnil@debian.org
  * debian/copyright: Refresh and update copyright years for debian/*
    packaging.

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 08 Feb 2011 16:31:34 +0100

libapp-cmd-perl (0.309-1) unstable; urgency=low

  * New upstream release
  * Update my email address.
  * debian/copyright:
    - Refer to Debian systems in general instead of Debian GNU/Linux systems.
    - Explicitly refer to GPL-1 license text in common-licenses.
  * debian/control:
    - Change versioned Build-Depends-Indep on libio-tiecombine-perl to an
      unversioned Build-Depends-Indep.
    - Add Build-Depends-Indep libtest-fatal-perl.
  * Drop fix-spelling-error-in-manpage.patch as it is applied upstream.
  * Bump Standards-Version to 3.9.1.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 13 Nov 2010 09:48:56 +0100

libapp-cmd-perl (0.307-1) unstable; urgency=low

  * New upstream release
  * Refresh debian/copyright: Update URL to format specification and update
    copyright years.
  * debian/control:
    - Bump versioned dependency on libgetopt-long-descriptive (>= 0.084).
    - Add Depends on libstring-rewriteprefix-perl.
  * Bump Standards-Version to 3.8.4.
  * Convert to '3.0 (quilt)' package source format.
  * Add fix-spelling-error-in-manpage.patch to fix a spelling error in manpage
    of App::Cmd::Command.
  * Add a trailing blank line to NEWS file to work around a bug in
    apt-listchanges.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 13 Mar 2010 10:20:16 +0100

libapp-cmd-perl (0.304-1) unstable; urgency=low

  * New upstream release

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 11 Dec 2009 23:54:00 +0100

libapp-cmd-perl (0.303-1) unstable; urgency=low

  [ Nathan Handler ]
  * New upstream release
  * debian/control:
    - Add myself to list of Uploaders
  * debian/copyright:
    - Update Module::Install stanza

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ Salvatore Bonaccorso ]
  * New upstream release
  * debian/control: Bump versioned (Build-)Depends on
    libgetopt-long-descriptive-perl to (>= 0.081).
  * debian/copyright: Referesh copyright file to revision 59 of the DEP5
    machine readable format specification.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 29 Nov 2009 22:02:35 +0100

libapp-cmd-perl (0.300-1) unstable; urgency=low

  * New upstream release
    - "use MyApp -run;" is deprecated
    - Commands should use ->execute instead of ->run
    - App::Cmd::Simple programs must use ->execute rather than ->run

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 29 Aug 2009 07:49:31 +0200

libapp-cmd-perl (0.207-1) unstable; urgency=low

  * New upstream release

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 27 Aug 2009 18:34:10 -0700

libapp-cmd-perl (0.206-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * New upstream release
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).
  * Bump Standards-Version to 3.8.3.
    - Drop versioned build dependency on perl.

  [ Ryan Niebur ]
  * New upstream release

  [ gregor herrmann ]
  * Bump (build) dependency on libgetopt-long-descriptive-perl to >= 0.075 as
    per new upstream requirements.

 -- Ryan Niebur <ryanryan52@gmail.com>  Thu, 20 Aug 2009 14:31:38 -0700

libapp-cmd-perl (0.204-1) unstable; urgency=low

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * New upstream release
  * debian/control
    - Add myself to Uploaders
    - Bump Standards-Version to 3.8.2 (no changes)

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 28 Jun 2009 16:09:55 +0200

libapp-cmd-perl (0.203-1) unstable; urgency=low

  * Initial Release. (Closes: #529019)

 -- Ryan Niebur <ryanryan52@gmail.com>  Sun, 17 May 2009 03:22:42 -0700
